Page MenuHomePhabricator

Drop change_tag.ct_tag column
Closed, ResolvedPublic

Description

One of the last steps of the change tag normalization should be to completely drop the ct_tag column from the change_tag table.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2018, 2:21 PM
Vvjjkkii renamed this task from Drop change_tag.ct_tag column to wddaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from wddaaaaaaa to Drop change_tag.ct_tag column.
CommunityTechBot added a subscriber: Aklapper.
Krinkle moved this task from Backlog to Schema on the MediaWiki-Database board.Jul 28 2018, 10:39 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 14 2018, 6:27 PM

Change 473601 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Drop ct_tag column from change_tag table

https://gerrit.wikimedia.org/r/473601

Change 473629 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Drop $wgChangeTagsSchemaMigrationStage

https://gerrit.wikimedia.org/r/473629

Addshore triaged this task as Normal priority.Nov 15 2018, 11:04 AM

Change 473743 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/OAuth@master] Drop $wgChangeTagsSchemaMigrationStage

https://gerrit.wikimedia.org/r/473743

Change 473744 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/FlaggedRevs@master] Drop $wgChangeTagsSchemaMigrationStage

https://gerrit.wikimedia.org/r/473744

Change 473745 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/ContentTranslation@master] Drop $wgChangeTagsSchemaMigrationStage

https://gerrit.wikimedia.org/r/473745

Change 473744 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Drop $wgChangeTagsSchemaMigrationStage

https://gerrit.wikimedia.org/r/473744

Change 473743 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Drop $wgChangeTagsSchemaMigrationStage

https://gerrit.wikimedia.org/r/473743

Change 473745 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Drop $wgChangeTagsSchemaMigrationStage

https://gerrit.wikimedia.org/r/473745

Change 473629 merged by jenkins-bot:
[mediawiki/core@master] Drop $wgChangeTagsSchemaMigrationStage

https://gerrit.wikimedia.org/r/473629

Change 473601 merged by jenkins-bot:
[mediawiki/core@master] Drop ct_tag column from change_tag table

https://gerrit.wikimedia.org/r/473601

Change 476470 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/FlaggedRevs@master] Drop $wgChangeTagsSchemaMigrationStage, part II

https://gerrit.wikimedia.org/r/476470

Change 476470 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Drop $wgChangeTagsSchemaMigrationStage, part II

https://gerrit.wikimedia.org/r/476470

Ladsgroup closed this task as Resolved.

Beta cluster:

MariaDB [enwiki]> select * from change_tag limit 5;
+-------+----------+-----------+-----------+-----------+-----------+
| ct_id | ct_rc_id | ct_log_id | ct_rev_id | ct_params | ct_tag_id |
+-------+----------+-----------+-----------+-----------+-----------+
|     1 |    14356 |      2444 |      NULL | NULL      |        15 |
|     2 |    14360 |      2446 |      NULL | NULL      |        15 |
|     3 |    14768 |      2731 |      NULL | NULL      |        15 |
|     4 |    14961 |      2868 |      NULL | NULL      |        15 |
|     5 |    15072 |      2936 |      NULL | NULL      |        15 |
+-------+----------+-----------+-----------+-----------+-----------+
5 rows in set (0.00 sec)